Subject: Re: [PATCH 2/3] powermac: proper time of day after resume

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 25 Jan 2007 08:44:51 +1100

> > The best solution may require informing the user space ntp code of
> > such events. This requires very likely modifications to ntp itself
> > (I may be wrong, I've not looked at NTP code for 5 years or so).
> 
> Doesn't the kernel send signals to init on suspend/resume
> events, just like with power fail events?  You can hook on
> that.

I don't think it does... at least not on powerbooks.

Ben.